Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::LITParser Class Reference

`#include <LITParser.h>`

## Public Member Functions
| LITParser (const RVNGInputStreamPtr_t &input, librevenge::RVNGTextInterface *document=0)
void | parse ()

## Private Member Functions
| LITParser (const LITParser &other)
LITParser & | operator= (const LITParser &other)

## Private Attributes
const RVNGInputStreamPtr_t | m_input
librevenge::RVNGTextInterface * | m_document

## Constructor & Destructor Documentation

## ◆ LITParser() [1/2]

libebook::LITParser::LITParser | ( | const LITParser & | other | ) |
| private

## ◆ LITParser() [2/2]

libebook::LITParser::LITParser | ( | const RVNGInputStreamPtr_t & | input,
|  | librevenge::RVNGTextInterface * | document = `0`
| ) |  |
| explicit

## Member Function Documentation

## ◆ operator=()

LITParser & libebook::LITParser::operator= | ( | const LITParser & | other | ) |
| private

## ◆ parse()

void libebook::LITParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* libebook::LITParser::m_document
| private

Referenced by parse().

## ◆ m_input

const RVNGInputStreamPtr_t libebook::LITParser::m_input
| private

Referenced by LITParser().

The documentation for this class was generated from the following files:

- LITParser.h
- LITParser.cpp